Subject: Re: Build errors on mainline kernel

From: Sukadev Bhattiprolu <[email-masked]>
Date: Fri, 9 Aug 2013 18:01:19 -0700

Kumar Gala [[email-masked]] wrote:
| 
| > 
| > The pre-processor output for the first WARN_ON() is:
| > 
| > ---
| > ({ int __ret_warn_on = !!(nr < 0 || nr >= 32); if (__builtin_constant_p(__ret_warn_on)) { if (__ret_warn_on) do { __asm__ __volatile__( "1:    twi 31,0,0\n" ".section __bug_table,\"a\"\n" "2:\t" ".llong" " " "1b, %0\n" "\t.short %1, %2\n" ".org 2b+%3\n" ".previous\n" : : "i" ("/root/tmp/linux.git/arch/powerpc/platforms/85xx/smp.c"), "i" (154), "i" (((1 << 0) | ((9) << 8))), "i" (sizeof(struct bug_entry))); } while (0); } else { __asm__ __volatile__( "1:      ""tdnei" " ""   %4,0\n" ".section __bug_table,\"a\"\n" "2:\t" ".llong" " " "1b, %0\n" "\t.short %1, %2\n" ".org 2b+%3\n" ".previous\n" : : "i" ("/root/tmp/linux.git/arch/powerpc/platforms/85xx/smp.c"), "i" (154), "i" (((1 << 0) | ((9) << 8))), "i" (sizeof(struct bug_entry)), "r" (__ret_warn_on)); } __builtin_expect(!!(__ret_warn_on), 0); });
| > 
| > ---
| > 
| > 
| > Should I be doing something different to build with these configs ?
| > 
| 
| Hmm, that is odd.
| 
| How about doing:
| 
| $ make V=1
| 
| so we can see what compiler flags are being passed around.

Sure. 

make -f /root/tmp/linux.git/scripts/Makefile.build obj=arch/powerpc/platforms/85xx arch/powerpc/platforms/85xx/smp.o
  gcc -m64 -Wp,-MD,arch/powerpc/platforms/85xx/.smp.o.d  -nostdinc -isystem /usr/lib/gcc/ppc64-redhat-linux/4.4.6/include -I/root/tmp/linux.git/arch/powerpc/include -Iarch/powerpc/include/generated  -I/root/tmp/linux.git/include -Iinclude -I/root/tmp/linux.git/arch/powerpc/include/uapi -Iarch/powerpc/include/generated/uapi -I/root/tmp/linux.git/include/uapi -Iinclude/generated/uapi -include /root/tmp/linux.git/include/linux/kconfig.h  -I/root/tmp/linux.git/arch/powerpc/platforms/85xx -Iarch/powerpc/platforms/85xx -D__KERNEL__  -I/root/tmp/linux.git/arch/powerpc -Iarch/powerpc -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -Werror-implicit-function-declaration -Wno-format-security -fno-delete-null-pointer-checks -O2 -msoft-float -pipe  -I/root/tmp/linux.git/arch/powerpc -Iarch/powerpc -mtraceback=no -mcall-aixdesc -mcmodel=medium -mtune=power7 -mno-altivec -mno-vsx -mno-spe -mspe=no -funit-at-a-time -fno-dwarf2-cfi-asm -mno-string -Wa,-me500 -Wframe-larger-than=2048 -fno-stack-protector -Wno-unused-but-set-variable -fomit-frame-pointer -Wdeclaration-after-statement -Wno-pointer-sign -fno-strict-overflow -fconserve-stack -DCC_HAVE_ASM_GOTO    -D"KBUILD_STR(s)=#s" -D"KBUILD_BASENAME=KBUILD_STR(smp)"  -D"KBUILD_MODNAME=KBUILD_STR(smp)" -c -o arch/powerpc/platforms/85xx/.tmp_smp.o /root/tmp/linux.git/arch/powerpc/platforms/85xx/smp.c
{standard input}: Assembler messages:
{standard input}:244: Error: junk at end of line: `1'
make[2]: *** [arch/powerpc/platforms/85xx/smp.o] Error 1
make[1]: *** [arch/powerpc/platforms/85xx/smp.o] Error 2
make: *** [sub-make] Error 2